'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-5d7ef74f.js');

const genericModalCss = ":host{display:block}.modal{position:fixed;z-index:1000;left:0;top:0;width:100%;height:100%;background-color:rgba(0, 0, 0, 0.4);overflow:auto}.modal-content{background-color:#ffffff;margin:5% auto;padding:20px;border-radius:12px;width:90%;max-width:600px}.modal-header{text-align:center;margin-bottom:20px}.close{float:right;cursor:pointer;padding:5px}";
const GenericModalStyle0 = genericModalCss;

const GenericModal = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
        this.close = index.createEvent(this, "close", 7);
    }
    render() {
        return (index.h("div", { key: '9afdada607a7b0c6d03cf2835bb12402d4172161', class: "modal" }, index.h("div", { key: '1c29eeca3135a30f7572841604cb7f8a23ec0dbc', class: "modal-content" }, index.h("div", { key: '502c05d1d8f52f43e3401cee08ac7c0a726ea6ba', class: "modal-header" }, index.h("span", { key: 'b808bb4727036adcc0aad7ee8b54c551987b8ca3', class: "close", onClick: () => this.close.emit() }, "\u2715"), index.h("h2", { key: 'd0dd8752d403a16fd90c4f7c115a88fb6058de88' }, this.modalTitle), this.modalSubtitle && index.h("h4", { key: 'b06fe90714e21be89c858e61fc72b0ede25fc56a' }, this.modalSubtitle)), this.body)));
    }
};
GenericModal.style = GenericModalStyle0;

const genericSpinnerCss = ".spinner{display:flex;justify-content:center;align-items:center;width:100%;height:100%}.spinner::after{content:'';width:40px;height:40px;border:4px solid #f3f3f3;border-top:4px solid #3498db;border-radius:50%;animation:spin 1s linear infinite}@keyframes spin{0%{transform:rotate(0deg)}100%{transform:rotate(360deg)}}";
const GenericSpinnerStyle0 = genericSpinnerCss;

const GenericSpinner = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
    }
    render() {
        return index.h("div", Object.assign({ key: '7067cf2c8c7c6e5d7de9d577635bf5ba6f4da87f', class: "spinner" }, this.host.attributes));
    }
    get host() { return index.getElement(this); }
};
GenericSpinner.style = GenericSpinnerStyle0;

exports.generic_modal = GenericModal;
exports.generic_spinner = GenericSpinner;

//# sourceMappingURL=generic-modal_2.cjs.entry.js.map