'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-5d7ef74f.js');
const signTransactionsModalStore = require('./signTransactionsModalStore-57f24a0e.js');

const TokenComponent = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
    }
    render() {
        const { tokenTransaction } = signTransactionsModalStore.state;
        const { amount, identifier, usdValue } = tokenTransaction || {};
        return (index.h("sign-transaction-component", { key: '4f3618e76b996d53f9fdee87bab27a5fe3c89786', header: index.h("balance-component", { amount: amount, ticker: identifier, usdValue: usdValue, header: "You are sending" }) }));
    }
};

exports.token_component = TokenComponent;

//# sourceMappingURL=token-component.cjs.entry.js.map