// transaction-direction-badge.tsx
import { h } from "@stencil/core";
import classNames from "classnames";
export class TransactionDirectionBadge {
    render() {
        return (h("div", { key: 'f9344a617f295d435d7ac622b5d58d5a2a7821a9', class: classNames(this.class, 'transaction-direction-badge') }, h("span", { key: '1db814817eb2108a4f9bf0dc593d9eec5651f559', class: {
                directionBadge: true,
                [this.direction.toLowerCase()]: true,
            } }, this.direction.toUpperCase())));
    }
    static get is() { return "transaction-direction-badge"; }
    static get encapsulation() { return "shadow"; }
    static get originalStyleUrls() {
        return {
            "$": ["transaction-direction-badge.css"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["transaction-direction-badge.css"]
        };
    }
    static get properties() {
        return {
            "class": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": true,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "attribute": "class",
                "reflect": false
            },
            "direction": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "attribute": "direction",
                "reflect": false
            }
        };
    }
}
//# sourceMappingURL=transaction-direction-badge.js.map
