import { h } from "@stencil/core";
import classNames from "classnames";
import { DataTestIdsEnum } from "../../../../../constants/dataTestIds.enum";
export class TransactionMethod {
    render() {
        return (h("span", { key: 'eee59fb69f7f923b67b09929ed0ea5175cf59fed', class: classNames('badge badge-secondary badge-pill font-weight-light transaction-method', this.class), "data-testid": DataTestIdsEnum.method, title: this.actionDescription }, h("div", { key: 'efc66160834b81cb85b385c92413b619cd8cda72', class: "badge badge-secondary badge-pill" }, h("div", { key: '1aaad6f7285fe3717387d53420ccb2db5d488599', class: "text-truncate text-capitalize text-white" }, this.method))));
    }
    static get is() { return "transaction-method"; }
    static get encapsulation() { return "shadow"; }
    static get originalStyleUrls() {
        return {
            "$": ["transaction-method.css"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["transaction-method.css"]
        };
    }
    static get properties() {
        return {
            "class": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": true,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "attribute": "class",
                "reflect": false
            },
            "actionDescription": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "attribute": "action-description",
                "reflect": false
            },
            "method": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "attribute": "method",
                "reflect": false
            }
        };
    }
}
//# sourceMappingURL=transaction-method.js.map
