import { faLayerGroup } from "@fortawesome/free-solid-svg-icons";
import { h } from "@stencil/core";
import classNames from "classnames";
import { DataTestIdsEnum } from "../../../../../constants/dataTestIds.enum";
export class TransactionValue {
    render() {
        var _a;
        return (h("div", { key: 'f7a258fd30ebcdea9a5c95b9cd876b25e3c85aa0', class: classNames(this.class, 'transaction-value') }, this.value.badge && (h("div", { key: '9b3eb9874557f5b547685235da3686c6585923ff', "data-testid": DataTestIdsEnum.transactionNftBadge, class: "badge badge-secondary badge-pill font-weight-light transaction-value-badge" }, this.value.badge)), this.value.showFormattedAmount && (h("format-amount", { key: '6868ba9f56aa6382d386dd944ee995fef76772d3', class: classNames('mr-1', {
                'text-truncate': this.value.svgUrl,
            }), dataTestId: DataTestIdsEnum.transactionActionFormattedAmount, isValid: true, label: this.value.egldLabel, valueDecimal: this.value.valueDecimal, valueInteger: this.value.valueInteger })), this.value.link && (h("explorer-link", { key: 'f98312049ef023b32eefe2fe6aa7d404ce80d006', link: this.value.link, class: classNames('transaction-value-link', {
                'side-link d-flex': this.value.svgUrl,
                'text-truncate': !this.value.svgUrl,
            }) }, h("div", { key: '74a6598ef8a597b86393dd490e07d0f5f1300a56', class: "transaction-value-content", slot: "content" }, this.value.svgUrl && h("img", { key: '5a1ab05186ff2debf56e9d51ab73523581bc05c3', src: this.value.svgUrl, alt: (_a = this.value.name) !== null && _a !== void 0 ? _a : '', class: "transaction-value-img" }), this.value.linkText && (h("span", { key: '210245508f8d5d584b8dbee1c64213ff43f764e3', class: classNames('transaction-value-link-text', {
                truncate: this.value.ticker === this.value.collection && this.value.ticker != null,
            }) }, this.value.linkText))))), this.value.titleText && h("fa-icon", { key: '3e80b0173eae5a7ba3300e190c75208f5ad4d014', icon: faLayerGroup, class: "transaction-value-icon", title: this.value.titleText })));
    }
    static get is() { return "transaction-value"; }
    static get encapsulation() { return "shadow"; }
    static get originalStyleUrls() {
        return {
            "$": ["transaction-value.css"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["transaction-value.css"]
        };
    }
    static get properties() {
        return {
            "class": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": true,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "attribute": "class",
                "reflect": false
            },
            "value": {
                "type": "unknown",
                "mutable": false,
                "complexType": {
                    "original": "ITransactionValue",
                    "resolved": "ITransactionValue",
                    "references": {
                        "ITransactionValue": {
                            "location": "import",
                            "path": "components/controlled/transactions-table/transactions-table.type",
                            "id": "src/components/controlled/transactions-table/transactions-table.type.ts::ITransactionValue"
                        }
                    }
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false
            }
        };
    }
}
//# sourceMappingURL=transaction-value.js.map
