import { h } from "@stencil/core";
export class BalanceComponent {
    constructor() {
        this.amount = '';
        this.ticker = '';
        this.header = '';
    }
    render() {
        return (h("div", { key: 'a20788b1e8c9b7f127e8e550dca6d1113c505d66', class: "balance-container" }, this.header && h("p", { key: '5ff2c92a53a78a366d2c9fd5612c6b91c661489a' }, this.header), h("div", { key: '0cb5718661b7e06450716076d1bcca99d73483ab', class: "amount-container" }, h("span", { key: '9134354fe58bef828fd0bf7960a2beee351ef8b1', class: "amount-value" }, this.amount), h("span", { key: 'e422cd87b40837f64e8ceba680e12753683bee64', class: "amount-ticker" }, this.ticker)), this.usdValue && h("span", { key: 'd8752d7688b0e1ccb523f9bcae71b78395b26c69' }, this.usdValue)));
    }
    static get is() { return "balance-component"; }
    static get encapsulation() { return "shadow"; }
    static get originalStyleUrls() {
        return {
            "$": ["balance-component.css"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["balance-component.css"]
        };
    }
    static get properties() {
        return {
            "amount": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "attribute": "amount",
                "reflect": false,
                "defaultValue": "''"
            },
            "ticker": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "attribute": "ticker",
                "reflect": false,
                "defaultValue": "''"
            },
            "usdValue": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": true,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "attribute": "usd-value",
                "reflect": false
            },
            "header": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": true,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "attribute": "header",
                "reflect": false,
                "defaultValue": "''"
            }
        };
    }
}
//# sourceMappingURL=balance-component.js.map
