import { p as proxyCustomElement, H, c as createEvent, h } from './p-8a2c7dab.js';
import { d as defineCustomElement$9 } from './p-e0ea2c4e.js';
import { d as defineCustomElement$8 } from './p-77e42fcf.js';
import { d as defineCustomElement$7 } from './p-a40ff0c9.js';
import { d as defineCustomElement$6 } from './p-8ee1d441.js';
import { d as defineCustomElement$5 } from './p-b416e79b.js';
import { d as defineCustomElement$4 } from './p-35930db0.js';
import { d as defineCustomElement$3 } from './p-92239932.js';
import { d as defineCustomElement$2 } from './p-1cf18458.js';
import { d as defineCustomElement$1 } from './p-278375da.js';

const TransactionToast = /*@__PURE__*/ proxyCustomElement(class TransactionToast extends H {
    constructor() {
        super();
        this.__registerHost();
        this.__attachShadow();
        this.handleDeleteToast = createEvent(this, "handleDeleteToast", 7);
        this.toastId = '';
        this.processedTransactionsStatus = '';
        this.transactions = [];
    }
    render() {
        var _a, _b;
        return (h("transaction-toast-wrapper", { key: '83d7c49a95fa2d944083be86d0c01715a4969a50', wrapperId: `toast-${this.toastId}`, wrapperClass: this.wrapperClass }, h("transaction-toast-progress", { key: this.toastId, startTime: (_a = this.transactionProgressState) === null || _a === void 0 ? void 0 : _a.startTime, endTime: (_b = this.transactionProgressState) === null || _b === void 0 ? void 0 : _b.endTime }, h("transaction-toast-content", { key: 'a17fddf1b4dfa8d89865e929bbd57c6d9c97ead4', onDeleteToast: () => this.handleDeleteToast.emit(this.toastId), processedTransactionsStatus: this.processedTransactionsStatus, toastDataState: this.toastDataState, transactions: this.transactions }))));
    }
}, [1, "transaction-toast", {
        "toastId": [1, "toast-id"],
        "wrapperClass": [1, "wrapper-class"],
        "processedTransactionsStatus": [1, "processed-transactions-status"],
        "transactions": [16],
        "toastDataState": [16],
        "transactionProgressState": [16]
    }]);
function defineCustomElement() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["transaction-toast", "copy-button", "explorer-link", "fa-icon", "transaction-toast-content", "transaction-toast-details", "transaction-toast-details-body", "transaction-toast-progress", "transaction-toast-wrapper", "trim-text"];
    components.forEach(tagName => { switch (tagName) {
        case "transaction-toast":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, TransactionToast);
            }
            break;
        case "copy-button":
            if (!customElements.get(tagName)) {
                defineCustomElement$9();
            }
            break;
        case "explorer-link":
            if (!customElements.get(tagName)) {
                defineCustomElement$8();
            }
            break;
        case "fa-icon":
            if (!customElements.get(tagName)) {
                defineCustomElement$7();
            }
            break;
        case "transaction-toast-content":
            if (!customElements.get(tagName)) {
                defineCustomElement$6();
            }
            break;
        case "transaction-toast-details":
            if (!customElements.get(tagName)) {
                defineCustomElement$5();
            }
            break;
        case "transaction-toast-details-body":
            if (!customElements.get(tagName)) {
                defineCustomElement$4();
            }
            break;
        case "transaction-toast-progress":
            if (!customElements.get(tagName)) {
                defineCustomElement$3();
            }
            break;
        case "transaction-toast-wrapper":
            if (!customElements.get(tagName)) {
                defineCustomElement$2();
            }
            break;
        case "trim-text":
            if (!customElements.get(tagName)) {
                defineCustomElement$1();
            }
            break;
    } });
}

export { TransactionToast as T, defineCustomElement as d };

//# sourceMappingURL=p-7b9dfe28.js.map