import { r as registerInstance, h } from './index-755f1da5.js';
import { c as classNames } from './index-097075ad.js';

const transactionAccountNameCss = ".transaction-account-name{width:max-content}";
const TransactionAccountNameStyle0 = transactionAccountNameCss;

const TransactionAccountName = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
    }
    render() {
        if (this.name) {
            return (h("div", { class: classNames('text-truncate', this.class, 'transaction-account-name'), "data-testid": this.dataTestId, title: this.description }, this.name));
        }
        return h("trim-text", { text: this.address, class: classNames(this.class, 'transaction-account-name'), dataTestId: this.dataTestId });
    }
};
TransactionAccountName.style = TransactionAccountNameStyle0;

export { TransactionAccountName as transaction_account_name };

//# sourceMappingURL=transaction-account-name.entry.js.map