'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-5d7ef74f.js');
const index$1 = require('./index-5a88e57b.js');
const getIconHtmlFromIconDefinition = require('./getIconHtmlFromIconDefinition-07bb4d7b.js');

const faIconCss = ".fa-icon .svg-inline--fa{align-items:center;display:flex;height:1rem;justify-content:center}";
const FaIconStyle0 = faIconCss;

const FaIcon = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
    }
    render() {
        if (!this.icon) {
            return null;
        }
        const iconHtml = getIconHtmlFromIconDefinition.getIconHtmlFromIconDefinition(this.icon);
        return index.h("i", { class: index$1.classNames(this.class, 'fa-icon'), innerHTML: iconHtml, title: this.description });
    }
};
FaIcon.style = FaIconStyle0;

exports.fa_icon = FaIcon;

//# sourceMappingURL=fa-icon.cjs.entry.js.map