'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-5d7ef74f.js');
const index$1 = require('./index-5a88e57b.js');
const dataTestIds_enum = require('./dataTestIds.enum-f00213b8.js');

const formatAmountCss = ".format-amount{align-items:center}.int-amount{color:inherit}.decimals{color:inherit}.symbol{color:inherit;margin-left:0.25rem}";
const FormatAmountStyle0 = formatAmountCss;

const FormatAmount = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
        this.showLabel = true;
    }
    render() {
        return this.isValid ? this.renderValid() : this.renderInvalid();
    }
    renderInvalid() {
        var _a;
        return (index.h("span", { "data-testid": (_a = this.dataTestId) !== null && _a !== void 0 ? _a : dataTestIds_enum.DataTestIdsEnum.formatAmountComponent, class: this.class }, index.h("span", { class: "int-amount", "data-testid": dataTestIds_enum.DataTestIdsEnum.formatAmountInt }, "...")));
    }
    renderValid() {
        return (index.h("span", { "data-testid": this.dataTestId, class: index$1.classNames(this.class, 'format-amount') }, index.h("span", { class: "int-amount", "data-testid": dataTestIds_enum.DataTestIdsEnum.formatAmountInt }, this.valueInteger), this.valueDecimal && (index.h("span", { class: "decimals", "data-testid": dataTestIds_enum.DataTestIdsEnum.formatAmountDecimals }, this.valueDecimal)), this.showLabel && this.label && (index.h("span", { class: {
                symbol: true,
                [this.labelClass]: Boolean(this.labelClass),
            }, "data-testid": dataTestIds_enum.DataTestIdsEnum.formatAmountSymbol }, this.label))));
    }
};
FormatAmount.style = FormatAmountStyle0;

exports.format_amount = FormatAmount;

//# sourceMappingURL=format-amount.cjs.entry.js.map