import { h } from "@stencil/core";
export class GenericModal {
    render() {
        return (h("div", { key: '9afdada607a7b0c6d03cf2835bb12402d4172161', class: "modal" }, h("div", { key: '1c29eeca3135a30f7572841604cb7f8a23ec0dbc', class: "modal-content" }, h("div", { key: '502c05d1d8f52f43e3401cee08ac7c0a726ea6ba', class: "modal-header" }, h("span", { key: 'b808bb4727036adcc0aad7ee8b54c551987b8ca3', class: "close", onClick: () => this.close.emit() }, "\u2715"), h("h2", { key: 'd0dd8752d403a16fd90c4f7c115a88fb6058de88' }, this.modalTitle), this.modalSubtitle && h("h4", { key: 'b06fe90714e21be89c858e61fc72b0ede25fc56a' }, this.modalSubtitle)), this.body)));
    }
    static get is() { return "generic-modal"; }
    static get originalStyleUrls() {
        return {
            "$": ["./generic-modal.css"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["generic-modal.css"]
        };
    }
    static get properties() {
        return {
            "body": {
                "type": "unknown",
                "mutable": false,
                "complexType": {
                    "original": "VNode",
                    "resolved": "VNode",
                    "references": {
                        "VNode": {
                            "location": "import",
                            "path": "@stencil/core",
                            "id": "node_modules::VNode"
                        }
                    }
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false
            },
            "modalTitle": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string | VNode",
                    "resolved": "VNode | string",
                    "references": {
                        "VNode": {
                            "location": "import",
                            "path": "@stencil/core",
                            "id": "node_modules::VNode"
                        }
                    }
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "attribute": "modal-title",
                "reflect": false
            },
            "modalSubtitle": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string | VNode",
                    "resolved": "VNode | string",
                    "references": {
                        "VNode": {
                            "location": "import",
                            "path": "@stencil/core",
                            "id": "node_modules::VNode"
                        }
                    }
                },
                "required": false,
                "optional": true,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "attribute": "modal-subtitle",
                "reflect": false
            }
        };
    }
    static get events() {
        return [{
                "method": "close",
                "name": "close",
                "bubbles": true,
                "cancelable": true,
                "composed": true,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "complexType": {
                    "original": "void",
                    "resolved": "void",
                    "references": {}
                }
            }];
    }
}
//# sourceMappingURL=generic-modal.js.map
