import { createStore } from "@stencil/store";
const initialState = {
    isLoading: true,
    isWaitingForSignature: false,
    commonData: {
        data: '',
        transactionsCount: 0,
        egldLabel: '',
        feeLimit: '',
        feeInFiatLimit: '',
        currentIndex: 0,
        receiver: '',
        nextUnsignedTxIndex: 0,
    },
    nftTransaction: null,
    sftTransaction: null,
    tokenTransaction: null,
    onSign: null,
    onCancel: null,
    onPrev: null,
    onNext: null,
};
const { state } = createStore(Object.assign({}, initialState));
export const resetState = () => (Object.assign(Object.assign({}, state), initialState));
export default state;
//# sourceMappingURL=signTransactionsModalStore.js.map
