import { p as proxyCustomElement, H, h } from './p-8a2c7dab.js';
import { c as classNames } from './p-12360e4c.js';
import { D as DataTestIdsEnum } from './p-6e09b0ac.js';
import { d as defineCustomElement$2 } from './p-77e42fcf.js';
import { d as defineCustomElement$1 } from './p-a40ff0c9.js';

const transactionShardsCss = ".transaction-shards,.transaction-shards-arrow{align-items:center;display:flex;gap:0.5rem;width:max-content}";
const TransactionShardsStyle0 = transactionShardsCss;

const TransactionShards = /*@__PURE__*/ proxyCustomElement(class TransactionShards extends H {
    constructor() {
        super();
        this.__registerHost();
        this.__attachShadow();
    }
    render() {
        return (h("div", { key: '548495bd23ade0a11211616f3195dca9056f014d', class: classNames(this.class, 'transaction-shards') }, h("explorer-link", { key: '12cd3dabfab1f2dfee6413c89cb1421e8a226a6d', link: this.transaction.sender.shardLink, class: "transactions-table-body-cell-link", "data-testid": DataTestIdsEnum.shardFromLink }, h("span", { key: 'f1f4f2cf228a81c98b9f011f1264f333faaf13be', slot: "content", "data-testid": DataTestIdsEnum.senderShard }, this.transaction.sender.shard)), h("span", { key: '394c7f8644efea277f994049aab0a8b99ec5a852', class: "transaction-shards-arrow" }, "\u2794"), h("explorer-link", { key: '425f49691882b37efb158183cb72895d90cd7ebb', class: "transactions-table-body-cell-link", link: this.transaction.receiver.shardLink, "data-testid": DataTestIdsEnum.shardToLink }, h("span", { key: 'f58d6f40a85465b370bc4b20e5fd246747ea8b75', slot: "content", "data-testid": DataTestIdsEnum.receiverShard }, this.transaction.receiver.shard))));
    }
    static get style() { return TransactionShardsStyle0; }
}, [1, "transaction-shards", {
        "class": [1],
        "transaction": [16]
    }]);
function defineCustomElement() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["transaction-shards", "explorer-link", "fa-icon"];
    components.forEach(tagName => { switch (tagName) {
        case "transaction-shards":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, TransactionShards);
            }
            break;
        case "explorer-link":
            if (!customElements.get(tagName)) {
                defineCustomElement$2();
            }
            break;
        case "fa-icon":
            if (!customElements.get(tagName)) {
                defineCustomElement$1();
            }
            break;
    } });
}

export { TransactionShards as T, defineCustomElement as d };

//# sourceMappingURL=p-b7714e15.js.map