import { p as proxyCustomElement, H, h } from './p-8a2c7dab.js';

const balanceComponentCss = "*{margin:0;padding:0;box-sizing:border-box}.balance-container{display:flex;flex-direction:column}.amount-container{display:inline-flex;align-items:flex-start;gap:4px;font-size:24px;line-height:1}.amount-value{font-weight:bold}.amount-ticker{font-size:16px;align-self:flex-start}";
const BalanceComponentStyle0 = balanceComponentCss;

const BalanceComponent = /*@__PURE__*/ proxyCustomElement(class BalanceComponent extends H {
    constructor() {
        super();
        this.__registerHost();
        this.__attachShadow();
        this.amount = '';
        this.ticker = '';
        this.header = '';
    }
    render() {
        return (h("div", { key: 'a20788b1e8c9b7f127e8e550dca6d1113c505d66', class: "balance-container" }, this.header && h("p", { key: '5ff2c92a53a78a366d2c9fd5612c6b91c661489a' }, this.header), h("div", { key: '0cb5718661b7e06450716076d1bcca99d73483ab', class: "amount-container" }, h("span", { key: '9134354fe58bef828fd0bf7960a2beee351ef8b1', class: "amount-value" }, this.amount), h("span", { key: 'e422cd87b40837f64e8ceba680e12753683bee64', class: "amount-ticker" }, this.ticker)), this.usdValue && h("span", { key: 'd8752d7688b0e1ccb523f9bcae71b78395b26c69' }, this.usdValue)));
    }
    static get style() { return BalanceComponentStyle0; }
}, [1, "balance-component", {
        "amount": [1],
        "ticker": [1],
        "usdValue": [1, "usd-value"],
        "header": [1]
    }]);
function defineCustomElement() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["balance-component"];
    components.forEach(tagName => { switch (tagName) {
        case "balance-component":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, BalanceComponent);
            }
            break;
    } });
}

export { BalanceComponent as B, defineCustomElement as d };

//# sourceMappingURL=p-d221f745.js.map