import { r as registerInstance, h } from './index-755f1da5.js';
import { s as state } from './signTransactionsModalStore-99f49024.js';

const TokenComponent = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
    }
    render() {
        const { tokenTransaction } = state;
        const { amount, identifier, usdValue } = tokenTransaction || {};
        return (h("sign-transaction-component", { key: '4f3618e76b996d53f9fdee87bab27a5fe3c89786', header: h("balance-component", { amount: amount, ticker: identifier, usdValue: usdValue, header: "You are sending" }) }));
    }
};

export { TokenComponent as token_component };

//# sourceMappingURL=token-component.entry.js.map